"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const constants = require("../constants");
const commands = fs.readdirSync(__dirname)
    .filter((filename) => /\.js$/.test(filename))
    .map((filename) => filename.replace(/\.js$/, ""));
// tslint:disable-next-line:no-var-requires
exports.version = constants.version;
exports.handler = () => {
    const binPath = path.resolve(__dirname, "../..", "bin", "arylo-init");
    const $0 = path.basename(binPath);
    process.stdout.write([
        "",
        `Usage: ${$0} <command>`,
        "",
        "where <command> is one of",
        `    ${commands.join(", ")}`,
        "",
        `${$0}@${exports.version} ${binPath}`,
        ""
    ].join("\n"));
    return true;
};
