"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const utils_1 = require("./utils");
const pkg_1 = require("./utils/pkg");
/**
 * 模块根地址
 */
exports.rootPath = path_1.resolve(__dirname, "..", fs_1.existsSync(`${__dirname}/../../package.json`) ? ".." : "");
exports.pkg = new pkg_1.Pkg(exports.rootPath).toObject();
/**
 * 当前模块版本
 */
exports.version = exports.pkg.version;
/**
 * 当前年份
 */
exports.year = new Date().getFullYear().toString();
exports.projectName = "";
exports.targetPath = "";
const resourcesName = "public";
/**
 * 资源文件源位置
 */
exports.resourcesRawPath = path_1.resolve(exports.rootPath, resourcesName);
/**
 * 资源文件使用位置
 */
exports.resourcesPath = path_1.resolve(exports.rootPath, "dist", fs_1.existsSync(`${exports.rootPath}/dist/lib`) ? "lib" : "", resourcesName);
const setProjectName = (path) => {
    exports.projectName = utils_1.namePipe(path);
    return true;
};
exports.setTargetPath = (path) => {
    exports.targetPath = path;
    return setProjectName(path_1.basename(path));
};
