"use strict";
const fs = require("fs");
const path = require("path");
const constants = require("./constants");
const utils_1 = require("./utils");
const getReleaseData = () => {
    const filePath = path.resolve(constants.resourcesPath, "tree.json");
    if (!fs.existsSync(filePath)) {
        utils_1.exit("Miss Resource Files");
    }
    return require(filePath);
};
const getFakerData = () => {
    const glob = require("glob");
    const filePaths = glob.sync("./**", {
        cwd: constants.resourcesRawPath,
        dot: true
    });
    const json = {
        files: {},
        list: filePaths
    };
    for (const filePath of filePaths) {
        const p = path.resolve(constants.resourcesRawPath, filePath);
        const stat = fs.statSync(p);
        if (stat.isFile()) {
            json.files[filePath] = filePath;
        }
    }
    return json;
};
module.exports = fs.existsSync(constants.resourcesPath) ?
    getReleaseData() : getFakerData();
