"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const updateNotifier = require("update-notifier");
const constants = require("./constants");
const utils_1 = require("./utils");
exports.handler = () => {
    const ARGV = process.argv;
    updateNotifier({
        pkg: constants.pkg,
        updateCheckInterval: 1000 * 60 * 60 * 24 * 7
    }).notify();
    if (ARGV.indexOf("-v") !== -1 || ARGV.indexOf("--version") !== -1) {
        const version = constants.version;
        process.stdout.write(`v${version}\n`);
        return true;
    }
    if (ARGV.indexOf("-h") !== -1 || ARGV.indexOf("--help") !== -1) {
        return utils_1.getCommand("help").handler();
    }
    const command = ARGV[2];
    switch (command) {
        case "new":
            return utils_1.getCommand("new").handler();
        case "update":
            return utils_1.getCommand("update").handler();
        case "help":
        default:
            return utils_1.getCommand("help").handler();
    }
};
