"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path = require("path");
const constants = require("../constants");
const pkg_1 = require("../utils/pkg");
exports.UPDATE_LIST = [".huskyrc.json", "package.json"];
exports.update = (filePoint) => {
    const filePath = path.resolve(constants.targetPath, filePoint);
    switch (exports.UPDATE_LIST.indexOf(filePoint) + 1) {
        case 1:
            ftconfig
                .readFile(filePath)
                .modify((data) => {
                data.hooks["commit-msg"] =
                    "commitlint -e .git/COMMIT_EDITMSG";
                return data;
            })
                .save();
            break;
        case 2:
            new pkg_1.Pkg(constants.targetPath)
                .updateDevDependency("@commitlint/cli", "^7.2.1")
                .updateDevDependency("@commitlint/config-conventional", "^7.1.2")
                .updateDevDependency("@commitlint/lint", "^7.2.1")
                .save();
            break;
    }
};
