"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path = require("path");
const constants = require("../constants");
const pkg_1 = require("../utils/pkg");
exports.IGNORE_CHECK_LIST = ["test/index.spec.ts"];
exports.UPDATE_LIST = ["package.json", "test/index.spec.ts"];
exports.update = (filePoint) => {
    const filePath = path.resolve(constants.targetPath, filePoint);
    switch (exports.UPDATE_LIST.indexOf(filePoint) + 1) {
        case 1:
            new pkg_1.Pkg(constants.targetPath)
                .updateDevDependency("ava", "^1.0.1")
                .save();
            break;
        case 2:
            ftconfig
                .readFile(filePath, { type: "raw" })
                .modify((str) => {
                str = str.replace(/\btest\(\(t\)\s*=>\s*{(\s*)/g, `test("Default test", (t) => {$1`);
                return str;
            })
                .save();
            break;
    }
};
