"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path = require("path");
const constants = require("../constants");
exports.ADD_LIST = ["_scripts/README.md", "_scripts/commitlint.config.js"];
exports.UPDATE_LIST = [".huskyrc.json"];
exports.update = (filePoint) => {
    const filePath = path.resolve(constants.targetPath, filePoint);
    ftconfig
        .readFile(filePath)
        .modify((obj) => {
        if (obj.hooks &&
            obj.hooks["commit-msg"] &&
            /\bcommitlint\b/.test(obj.hooks["commit-msg"])) {
            obj.hooks["commit-msg"] = obj.hooks["commit-msg"].replace(/\bcommitlint\b/, `commitlint --config ${exports.ADD_LIST[1]}`);
        }
        return obj;
    })
        .save();
};
