"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path = require("path");
const constants = require("../constants");
exports.ADD_LIST = ["_scripts/.prettierrc.yml"];
exports.UPDATE_LIST = [".lintstagedrc"];
exports.modifyHandler = (obj) => {
    if (!obj.linters) {
        return obj;
    }
    for (const key of Object.keys(obj.linters)) {
        obj.linters[key] = obj.linters[key].map((cmd) => {
            if (/\bprettier\s/.test(cmd) && !/\bprettier\s[^&]*--config\s/.test(cmd)) {
                cmd = cmd.replace(/\b(prettier\s)/, `$1--config ${exports.ADD_LIST[0]} `);
            }
            return cmd;
        });
    }
    return obj;
};
exports.update = (filePoint) => {
    const filePath = path.resolve(constants.targetPath, filePoint);
    ftconfig
        .readFile(filePath, { type: "json" })
        .modify(exports.modifyHandler)
        .save();
};
