"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path_1 = require("path");
const constants = require("../constants");
exports.UPDATE_LIST = ["package.json", "tsconfig.json"];
exports.update = (filePoint) => {
    if (exports.UPDATE_LIST.indexOf(filePoint) === -1) {
        return;
    }
    const filePath = path_1.resolve(constants.targetPath, filePoint);
    ftconfig
        .readFile(filePath)
        .modify((data) => {
        switch (exports.UPDATE_LIST.indexOf(filePoint) + 1) {
            case 1:
                data.devDependencies.typescript = "^3.1.3";
                break;
            case 2:
                data.compilerOptions.declaration = true;
                data.compilerOptions.declarationMap = true;
                break;
        }
        return data;
    })
        .save();
};
