"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants = require("../constants");
const pkg_1 = require("../utils/pkg");
exports.ADD_LIST = [".lintstagedrc", ".huskyrc.json"];
exports.UPDATE_LIST = ["package.json"];
exports.update = (filePoint) => {
    if (exports.UPDATE_LIST.indexOf(filePoint) === -1) {
        return;
    }
    new pkg_1.Pkg(constants.targetPath)
        .modify((obj) => {
        if (!obj.keywords) {
            obj.keywords = [];
        }
        if (obj.keywords.indexOf("typescript") === -1) {
            obj.keywords.push("typescript");
        }
        return obj;
    })
        .updateDevDependency("husky", "^1.1.2")
        .updateDevDependency("lint-staged", "^7.3.0")
        .updateDevDependency("prettier", "^1.14.3")
        .save();
};
