"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ftconfig = require("ftconfig");
const path = require("path");
const constants = require("../constants");
const pkg_1 = require("../utils/pkg");
exports.ADD_LIST = [".eslintignore"];
exports.UPDATE_LIST = [".lintstagedrc", "package.json"];
exports.update = (filePoint) => {
    const filePath = path.resolve(constants.targetPath, filePoint);
    switch (exports.UPDATE_LIST.indexOf(filePoint) + 1) {
        case 1:
            const json = ftconfig.readFile(filePath, {
                type: "json"
            });
            for (const key of Object.keys(json.toObject().linters)) {
                if (/\.editorconfig$/.test(key)) {
                    json.modify((obj) => {
                        delete obj.linters[key];
                        return obj;
                    });
                    continue;
                }
                let newKey;
                if (key.indexOf("{lib,public,scripts,test}") !== -1) {
                    newKey = key.replace("{lib,public,scripts,test}", ".");
                }
                if (key === "{,public/}*.{json,yaml,yml}") {
                    newKey = key.replace("{,public/}", "./**/");
                }
                if (key === "{,public/}.lintstagedrc") {
                    newKey = key.replace("{,public/}", "./");
                }
                json.modify((obj) => {
                    obj.linters[newKey] = obj.linters[key];
                    delete obj.linters[key];
                    return obj;
                });
            }
            json.save();
            break;
        case 2:
            new pkg_1.Pkg(constants.targetPath)
                .updateScript("lint:javascript", "eslint ./**/*.js")
                .save();
            break;
    }
};
