"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
exports.exit = (msg, code = 1) => {
    if (Array.isArray(msg)) {
        // tslint:disable-next-line:no-console
        console.log(...msg);
    }
    else {
        // tslint:disable-next-line:no-console
        console.log(msg);
    }
    process.exit(1);
};
exports.namePipe = (name) => {
    return name
        .toLowerCase()
        .replace(/^[^a-z]*/i, "")
        .replace(/[^\d\w_-]/g, "");
};
/**
 * 处理位置字符串
 * @param pathname 传入位置值
 */
exports.dealPath = (pathname) => {
    let p = pathname;
    if (!p) {
        exports.exit("Invalid Path");
    }
    if (!path.isAbsolute(p)) {
        p = path.resolve(process.cwd(), p);
        if (!path.isAbsolute(p)) {
            exports.exit("Invalid Path");
        }
    }
    return p;
};
exports.getCommand = (name) => {
    return require(`./commands/${name}`);
};
