"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
exports.pipe = (action, msg) => {
    if (action.length < 6) {
        let spaceNum = action.length;
        if (action.indexOf("\n") !== -1) {
            const matches = action.match(/\n(.*?)$/);
            spaceNum = matches[1].length;
        }
        if (spaceNum >= 0) {
            action += Array(6 - spaceNum)
                .fill(" ")
                .join("");
        }
    }
    switch (action.trim()) {
        case "MKDIR":
            action = chalk_1.default.yellow(action);
            break;
        case "CREATE":
            action = chalk_1.default.cyan(action);
            break;
        case "UPDATE":
            action = chalk_1.default.green(action);
            break;
        case "DELETE":
            action = chalk_1.default.red(action);
            break;
        case "SKIP":
            action = chalk_1.default.magenta(action);
            break;
    }
    if (process.env.CI) {
        return true;
    }
    return process.stdout.write(`${action} ${msg}\n`);
};
